switch perltidy and cpandoc to stubs

Tue, 02 May 2023 17:39:24 -0500

author
Meredith Howard <mhoward@roomag.org>
date
Tue, 02 May 2023 17:39:24 -0500
changeset 1109
71d10acde172
parent 1108
8f5cf4eb7f66
child 1110
e4edb1419e3f

switch perltidy and cpandoc to stubs

.lib/stubs/cpandoc file | annotate | diff | comparison | revisions
.lib/stubs/perltidy file | annotate | diff | comparison | revisions
bin/setup-cpan-faves file | annotate | diff | comparison | revisions
new file mode 100755
--- /dev/null
+++ b/.lib/stubs/cpandoc
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+install_it() {
+  cpm install -g Pod::Cpandoc
+  asdf reshim perl || :
+}
+
+. ~/.lib/sh/stubexec.sh
new file mode 100755
--- /dev/null
+++ b/.lib/stubs/perltidy
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+install_it() {
+  cpm install -g Perl::Tidy
+  asdf reshim perl || :
+}
+
+. ~/.lib/sh/stubexec.sh
--- a/bin/setup-cpan-faves
+++ b/bin/setup-cpan-faves
@@ -5,9 +5,6 @@ dists=(
   App::cpanminus
   App::cpm
 
-  Perl::Tidy
-  Pod::Cpandoc
-
   experimentals
 
   Path::Tiny

mercurial